<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

add_integration_function('integrate_pre_include', '$sourcedir/DoublePostStopper.php');
add_integration_function('integrate_load_theme', 'double_post_load_theme');
add_integration_function('integrate_general_mod_settings', 'double_post_general_mod_settings');
add_integration_function('integrate_load_permissions', 'double_post_load_permissions');

if (!empty($ssi))
	echo 'Database installation complete!';

?>